Bug 723796 - RFE: plugin for multilib protection of GTK modules
RFE: plugin for multilib protection of GTK modules
Status: NEW
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-21 03:52 EDT by Jens Petersen
Modified: 2016-06-13 22:45 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2011-07-21 03:52:30 EDT
Description of problem:
gtk does not handle missing multilib modules very gracefully.

For various kinds of gtk modules it would be very attractive
to handle the installation of multilib packages automatically
to avoid problems and enhance the users' multilib experience.

Steps to Reproduce:
1. install Fedora x86_64
2. install 32bit browser or other 32bit application
  
Actual results:
- no default gtk theme (uses gtk fallback)
- no gtk immodule for ibus installed
- missing other gtk modules for i686

Expected results:
- gtk modules to be available

Additional info:
Maybe something like yum-langpacks might be a good
starting point for this code, or maybe there is something closer?
Comment 1 James Antill 2011-07-21 09:18:47 EDT
 The first thing that comes to mind is ... why can't gtk use _isa on it's requires?

 langpacks is different, as what is wanted is defined by LANG= ... multilib isn't that big of a problem.
Comment 2 Jens Petersen 2011-08-04 01:49:54 EDT
Well the problem is the modules are optional packages,
and anyway this RFE is about matching gtk modules across multilib
not about direct dependencies.

So in ways this is actually similar to yum-langpacks.
Comment 4 Pravin Satpute 2016-05-25 02:39:25 EDT
Is this bug still exists?
Comment 5 Jens Petersen 2016-06-13 22:45:29 EDT
I believe so: though maybe it is less of a problem these days since 64bit 3rd party packages are the norm now perhaps.

Note You need to log in before you can comment on or make changes to this bug.